# StageOccupantInfo (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.data
Class StageOccupantInfo

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.crowd.data.OccupantInfo
              com.threerings.stage.data.StageOccupantInfo

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry, Cloneable

    public class StageOccupantInfo

extends com.threerings.crowd.data.OccupantInfo

Extends the standard occupant info with stage specific business.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.crowd.data.OccupantInfo
`com.threerings.crowd.data.OccupantInfo.NameUpdater, com.threerings.crowd.data.OccupantInfo.Updater<T extends com.threerings.crowd.data.OccupantInfo>`

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary

Fields inherited from class com.threerings.crowd.data.OccupantInfo
`ACTIVE, bodyOid, DISCONNECTED, IDLE, status, username, X_STATUS`

Constructor Summary
`StageOccupantInfo()` Used for unserialization.
`StageOccupantInfo(com.threerings.crowd.data.BodyObject body)` Creates a new instance for the specified body.

Method Summary
`boolean` `isClusterable()` Should return true if the occupant in question is available to be clustered with, false if they are "busy".

Methods inherited from class com.threerings.crowd.data.OccupantInfo
`clone, getBodyOid, getKey`

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StageOccupantInfo

    public StageOccupantInfo(com.threerings.crowd.data.BodyObject body)

  Creates a new instance for the specified body.

### StageOccupantInfo

    public StageOccupantInfo()

  Used for unserialization.

Method Detail

### isClusterable

    public boolean isClusterable()

  Should return true if the occupant in question is available to be clustered with, false if they are "busy". This means that a user can click on them and start a chat circle.

Copyright © 2011. All Rights Reserved.